-- Creates the needed tables, namely the table that holds the Warden builder skills and the data information for skills
import "SDRPlugins.WardenEase2.Class";
--import "SDRPlugins.WardenEase2.GambitTooltips";
import "SDRPlugins.WardenEase2.UI";
import "SDRPlugins.WardenEase2.WEController";

-- 1 = Spear, 2 = Shield, 3 = Fist, 4 = Javelin
SDRPlugins.WardenEase2.WardenGambits = Turbine.Gameplay.Attributes.WardenGambit;

SDRPlugins.WardenEase2.Skills = {};

SDRPlugins.WardenEase2.Skills.Fist = {};
SDRPlugins.WardenEase2.Skills.Fist.Data = "0x7000EECF";

SDRPlugins.WardenEase2.Skills.Spear = {};
SDRPlugins.WardenEase2.Skills.Spear.Data = "0x7000E867";

SDRPlugins.WardenEase2.Skills.Shield = {};
SDRPlugins.WardenEase2.Skills.Shield.Data = "0x7000ED0E";

SDRPlugins.WardenEase2.Skills.Default = {};
SDRPlugins.WardenEase2.Skills.Default.Data = "0x70015F56";

SDRPlugins.WardenEase2.Skills.Recovery = {};
SDRPlugins.WardenEase2.Skills.Recovery.Data = "0x70016A0A";

SDRPlugins.WardenEase2.Skills.QuickRecovery = {};
SDRPlugins.WardenEase2.Skills.QuickRecovery.Data = "0x70016A09";

SDRPlugins.WardenEase2.Skills["Spear and Shield"] = {};
SDRPlugins.WardenEase2.Skills["Spear and Shield"].Data = "0x70015099";

SDRPlugins.WardenEase2.Skills["Spear and Fist"] = {};
SDRPlugins.WardenEase2.Skills["Spear and Fist"].Data = "0x70015098";

SDRPlugins.WardenEase2.Skills["Shield and Spear"] = {};
SDRPlugins.WardenEase2.Skills["Shield and Spear"].Data = "0x7001509D";

SDRPlugins.WardenEase2.Skills["Shield and Fist"] = {};
SDRPlugins.WardenEase2.Skills["Shield and Fist"].Data = "0x7001509B";

SDRPlugins.WardenEase2.Skills["Fist and Spear"] = {};
SDRPlugins.WardenEase2.Skills["Fist and Spear"].Data = "0x7001509A";

SDRPlugins.WardenEase2.Skills["Fist and Shield"] = {};
SDRPlugins.WardenEase2.Skills["Fist and Shield"].Data = "0x7001509C";

SDRPlugins.WardenEase2.Skills["Fist and Fist"] = {};
SDRPlugins.WardenEase2.Skills["Fist and Fist"].Data = "0x7002850C";

SDRPlugins.WardenEase2.Skills["Spear and Spear"] = {};
SDRPlugins.WardenEase2.Skills["Spear and Spear"].Data = "0x7002850A";

SDRPlugins.WardenEase2.Skills["Shield and Shield"] = {};
SDRPlugins.WardenEase2.Skills["Shield and Shield"].Data = "0x7002850B";

-- Stores information for Gambits, won't be needed if API is fixed
SDRPlugins.WardenEase2.Gambits = {};

GLocale = Turbine.Engine.GetLanguage();
if GLocale == 268435460 then GLocale = "de";
--  elseif GLocale == 268435459 then GLocale = "fr";
--  elseif GLocale == 268435463 then GLocale = "ru";
else GLocale = "en";
end
SDRPlugins.WardenEase2.Language = GLocale;
if ( SDRPlugins.WardenEase2.Language == "de" ) then
  SDRPlugins.WardenEase2.Gambits["Geschicktes Man\195\182ver"] = {1,3,2,1}
  SDRPlugins.WardenEase2.Gambits["Ansturm des Keilers"] = {1,3,1,3}
  SDRPlugins.WardenEase2.Gambits["Am Rand des Sieges"] = {3,2,3}
  SDRPlugins.WardenEase2.Gambits["Schau des K\195\182nnens"] = {2,1,2,1}
  SDRPlugins.WardenEase2.Gambits["Kombinationsschlag"] = {1,3,1}
  SDRPlugins.WardenEase2.Gambits["\195\156berzeugung"] = {2,3,2,3,2}
  SDRPlugins.WardenEase2.Gambits["Kriegstanz"] = {2,3,2,3}
  SDRPlugins.WardenEase2.Gambits["Defensiver Schlag"] = {2,2}
  SDRPlugins.WardenEase2.Gambits["Geschickter Schlag"] = {1,1}
  SDRPlugins.WardenEase2.Gambits["Verw\195\188stung"] = {3,2,3,2,3}
  SDRPlugins.WardenEase2.Gambits["Kampfjubel"] = {3,1,2,3,2}
  SDRPlugins.WardenEase2.Gambits["Grimmige Entschlossenheit"] = {3,1,2}
  SDRPlugins.WardenEase2.Gambits["Anstacheln"] = {3,3}
  SDRPlugins.WardenEase2.Gambits["Beeindruckender Hieb"] = {2,3}
  SDRPlugins.WardenEase2.Gambits["Speer der Tugend"] = {3,4,3,4}
  SDRPlugins.WardenEase2.Gambits["Unertr\195\164glicher Schlag"] = {2,3,2}
  SDRPlugins.WardenEase2.Gambits["M\195\164chtiger Schlag"] = {1,2,3,1}
  SDRPlugins.WardenEase2.Gambits["Offensiver Schlag"] = {1,3}
  SDRPlugins.WardenEase2.Gambits["Ansturm"] = {1,2,1}
  SDRPlugins.WardenEase2.Gambits["Durchhalten"] = {2,1}
  SDRPlugins.WardenEase2.Gambits["Durchbohrender Schlag"] = {3,1,3}
  SDRPlugins.WardenEase2.Gambits["Durchdringender Wurf"] = {3,4,3}
  SDRPlugins.WardenEase2.Gambits["Kraftangriff"] = {1,2,3}
  SDRPlugins.WardenEase2.Gambits["Pr\195\164ziser Schlag"] = {3,1}
  SDRPlugins.WardenEase2.Gambits["Pr\195\164ziser Wurf"] = {3,4}
  SDRPlugins.WardenEase2.Gambits["Geschicktes Man\195\182ver (Fernkampf)"] = {4,3,2,4}
  SDRPlugins.WardenEase2.Gambits["Ansturm des Keilers (Fernkampf)"] = {4,3,4,3}
  SDRPlugins.WardenEase2.Gambits["Stiefeltritt (Fernkampf)"] = {4,2}
  SDRPlugins.WardenEase2.Gambits["Schau des K\195\182nnens (Fernkampf)"] = {2,4,2,4}
  SDRPlugins.WardenEase2.Gambits["Kombinationsschlag (Fernkampf)"] = {4,3,4}
  SDRPlugins.WardenEase2.Gambits["Geschickter Schlag (Fernkampf)"] = {4,4}
  SDRPlugins.WardenEase2.Gambits["M\195\164chtiger Schlag (Fernkampf)"] = {4,2,3,4}
  SDRPlugins.WardenEase2.Gambits["Offensiver Schlag (Fernkampf)"] = {4,3}
  SDRPlugins.WardenEase2.Gambits["Ansturm (Fernkampf)"] = {4,2,4}
  SDRPlugins.WardenEase2.Gambits["Durchhalten (Fernkampf)"] = {2,4}
  SDRPlugins.WardenEase2.Gambits["Kraftangriff (Fernkampf)"] = {4,2,3}
  SDRPlugins.WardenEase2.Gambits["Umkehrung (Fernkampf)"] = {4,3,2}
  SDRPlugins.WardenEase2.Gambits["Schutzma\195\159nahme (Fernkampf)"] = {2,4,2}
  SDRPlugins.WardenEase2.Gambits["Dunkelheit vor der Morgenr\195\182te (Fernkampf)"] = {4,2,4,3,4}
  SDRPlugins.WardenEase2.Gambits["Zielsicherer Schlag (Fernkampf)"] = {4,2,3,4,2}
  SDRPlugins.WardenEase2.Gambits["Stahlwand (Fernkampf)"] = {4,2,4,2}
  SDRPlugins.WardenEase2.Gambits["Triumph des H\195\188ters (Fernkampf)"] = {4,3,2,4,3}
  SDRPlugins.WardenEase2.Gambits["Entschlossenheit"] = {3,1,2,3}
  SDRPlugins.WardenEase2.Gambits["\195\156berw\195\164ltigende Herausforderung"] = {3,2,3,1}
  SDRPlugins.WardenEase2.Gambits["Wiederherstellung"] = {2,1,2,1,2}
  SDRPlugins.WardenEase2.Gambits["Umkehrung"] = {1,3,2}
  SDRPlugins.WardenEase2.Gambits["Schutzma\195\159nahme"] = {2,1,2}
  SDRPlugins.WardenEase2.Gambits["Schildbeherrschung"] = {2,1,3,2}
  SDRPlugins.WardenEase2.Gambits["Schild-Taktiken"] = {2,3,1,2}
  SDRPlugins.WardenEase2.Gambits["Wurfspeer der Tugend"] = {3,1,3,1}
  SDRPlugins.WardenEase2.Gambits["Todesgewissheit"] = {3,2,3,2}
  SDRPlugins.WardenEase2.Gambits["Stiefeltritt"] = {1,2}
  SDRPlugins.WardenEase2.Gambits["Dunkelheit vor der Morgenr\195\182te"] = {1,2,1,3,1}
  SDRPlugins.WardenEase2.Gambits["Zielsicherer Schlag"] = {1,2,3,1,2}
  SDRPlugins.WardenEase2.Gambits["Stahlwand"] = {1,2,1,2}
  SDRPlugins.WardenEase2.Gambits["Kriegsschrei"] = {3,2}
  SDRPlugins.WardenEase2.Gambits["Triumph des H\195\188ters"] = {1,3,2,1,3}
  SDRPlugins.WardenEase2.Gambits["Ablenkung"] = {3,2,1}
  SDRPlugins.WardenEase2.Gambits["Fernablenkung"] = {3,2,4}
  SDRPlugins.WardenEase2.Gambits["Speer des Schicksals"] = {3,1,3,1,3}
  SDRPlugins.WardenEase2.Gambits["Fernkampfspeer des Schicksals"] = {3,4,3,4,3}
  SDRPlugins.WardenEase2.Gambits["Kauterisieren von Stahl"] = {1,2,1,2,1}
  SDRPlugins.WardenEase2.Gambits["Fernkauterisierender Stahl"] = {4,2,4,2,4}
  SDRPlugins.WardenEase2.Gambits["Unsichtbare Schläge"] = {1,3,1,3,1}
  SDRPlugins.WardenEase2.Gambits["Unsichtbare Fernschläge"] = {4,3,4,3,4}
  SDRPlugins.WardenEase2.Gambits["Fertige Klinge"] = {2,3,1}
  SDRPlugins.WardenEase2.Gambits["Fernkampfbereite Klinge"] = {2,3,4}
  SDRPlugins.WardenEase2.Gambits["Schild hoch"] = {2,1,3}
  SDRPlugins.WardenEase2.Gambits["Fernkampfschild hoch"] = {2,4,3}

  SDRPlugins.WardenEase2.getHelp = "Warden Ease 2 Parameter:\n    we2 show: Zeigt die WardenEase2 Auswahlleisten\n    we2 hide: Versteckt die WardenEase2 Auswahlleisten\n    we2 toggle: Schaltet den Ein-/Auszustand der WardenEase2 Auswahlleisten um\n    we2 refresh: Aktualisiert die Auswahlleisten (dieses sollte bei neu erlernten Gambits und ge\195\164nderter Skillung benutzt werden)\n    we2 [GambitName]: Setzt das Gambit mit dem Namen \"GambitName\"; dieses muss nicht komplett ausgeschrieben werden (Gro\195\159-/Kleinschreibung ist egal)";
  SDRPlugins.WardenEase2.getShortHelp = "Zeigt, oder versteckt die WardenEase2 Auswahlleisten.";
  SDRPlugins.WardenEase2.showDescriptions = "Beschreibungen anzeigen";
  SDRPlugins.WardenEase2.hideDescriptions = "Beschreibungen verstecken";
  SDRPlugins.WardenEase2.hideKeyOverlay = "Tastenbelegung verstecken";
  SDRPlugins.WardenEase2.showKeyOverlay = "Tastenbelegung anzeigen";
  SDRPlugins.WardenEase2.reverseWE2Window = "Hauptfenster umkehren";
  SDRPlugins.WardenEase2.we2MainWindow = "WardenEase2 Hauptfenster";
  SDRPlugins.WardenEase2.hideWholeBarErrorMessage = "Soll die komplette Leiste versteckt werden, benutze bitte die Funktion der Wardenease2 Hauptleiste!";
  SDRPlugins.WardenEase2.show = "Zeige ";
  SDRPlugins.WardenEase2.hide = "Verstecke ";
  SDRPlugins.WardenEase2.showAllHiddenGambits = "Zeige alle versteckten Gambits";

SDRPlugins.WardenEase2.Spear = "Speer";
SDRPlugins.WardenEase2.Fist = "Faust";
SDRPlugins.WardenEase2.Shield = "Schild";
SDRPlugins.WardenEase2.Gambit = "Gambit";
SDRPlugins.WardenEase2.Recovery = "Erholung";
SDRPlugins.WardenEase2.QuickRecovery = "Schnelle Erholung";
SDRPlugins.WardenEase2.andWord = "und";
SDRPlugins.WardenEase2.FistWord = "Faust";
SDRPlugins.WardenEase2.SpearWord = "Speer";
SDRPlugins.WardenEase2.ShieldWord = "Schild";

SDRPlugins.WardenEase2["Spear and Spear"] = "Speer und Speer";
SDRPlugins.WardenEase2["Spear and Fist"] = "Speer und Faust";
SDRPlugins.WardenEase2["Spear and Shield"] = "Speer und Schild";
SDRPlugins.WardenEase2["Shield and Shield"] = "Schild und Schild";
SDRPlugins.WardenEase2["Shield and Spear"] = "Schild und Speer";
SDRPlugins.WardenEase2["Shield and Fist"] = "Schild und Faust";
SDRPlugins.WardenEase2["Fist and Fist"] = "Faust und Faust";
SDRPlugins.WardenEase2["Fist and Spear"] = "Faust und Speer";
SDRPlugins.WardenEase2["Fist and Shield"] = "Faust und Schild";
SDRPlugins.WardenEase2.SetSlotTo = "Setze Leiste auf ";

SDRPlugins.WardenEase2.hideFastBuilders = "Verstecke Schnell-Gambitleiste";
SDRPlugins.WardenEase2.showFastBuilders = "Zeige Schnell-Gambitleiste";
SDRPlugins.WardenEase2.hideRecoverySkills = "Verstecke Erholungs-Gambits";
SDRPlugins.WardenEase2.showRecoverySkills = "Zeige Erholungs-Gambits";

-- elseif ( SDRPlugins.WardenEase2.Language == "fr" ) then 
-- elseif ( SDRPlugins.WardenEase2.Language == "ru" ) then 

else
  SDRPlugins.WardenEase2.Gambits["Adroit Manoeuvre"] = {1,3,2,1}
  SDRPlugins.WardenEase2.Gambits["Boar's Rush"] = {1,3,1,3}
  SDRPlugins.WardenEase2.Gambits["Brink of Victory"] = {3,2,3}
  SDRPlugins.WardenEase2.Gambits["Celebration of Skill"] = {2,1,2,1}
  SDRPlugins.WardenEase2.Gambits["Combination Strike"] = {1,3,1}
  SDRPlugins.WardenEase2.Gambits["Conviction"] = {2,3,2,3,2}
  SDRPlugins.WardenEase2.Gambits["Dance of War"] = {2,3,2,3}
  SDRPlugins.WardenEase2.Gambits["Defensive Strike"] = {2,2}
  SDRPlugins.WardenEase2.Gambits["Deft Strike"] = {1,1}
  SDRPlugins.WardenEase2.Gambits["Desolation"] = {3,2,3,2,3}
  SDRPlugins.WardenEase2.Gambits["Exultation of Battle"] = {3,1,2,3,2}
  SDRPlugins.WardenEase2.Gambits["Fierce Resolve"] = {3,1,2}
  SDRPlugins.WardenEase2.Gambits["Goad"] = {3,3}
  SDRPlugins.WardenEase2.Gambits["Impressive Flourish"] = {2,3}
  SDRPlugins.WardenEase2.Gambits["Javelin of Virtue"] = {3,4,3,4}
  SDRPlugins.WardenEase2.Gambits["Maddening Strike"] = {2,3,2}
  SDRPlugins.WardenEase2.Gambits["Mighty Blow"] = {1,2,3,1}
  SDRPlugins.WardenEase2.Gambits["Offensive Strike"] = {1,3}
  SDRPlugins.WardenEase2.Gambits["Onslaught"] = {1,2,1}
  SDRPlugins.WardenEase2.Gambits["Persevere"] = {2,1}
  SDRPlugins.WardenEase2.Gambits["Piercing Strike"] = {3,1,3}
  SDRPlugins.WardenEase2.Gambits["Piercing Toss"] = {3,4,3}
  SDRPlugins.WardenEase2.Gambits["Power Attack"] = {1,2,3}
  SDRPlugins.WardenEase2.Gambits["Precise Blow"] = {3,1}
  SDRPlugins.WardenEase2.Gambits["Precise Throw"] = {3,4}
  SDRPlugins.WardenEase2.Gambits["Ranged Adroit Manoeuvre"] = {4,3,2,4}
  SDRPlugins.WardenEase2.Gambits["Ranged Boar's Rush"] = {4,3,4,3}
  SDRPlugins.WardenEase2.Gambits["Ranged Boot"] = {4,2}
  SDRPlugins.WardenEase2.Gambits["Ranged Celebration of Skill"] = {2,4,2,4}
  SDRPlugins.WardenEase2.Gambits["Ranged Combination Strike"] = {4,3,4}
  SDRPlugins.WardenEase2.Gambits["Ranged Deft Strike"] = {4,4}
  SDRPlugins.WardenEase2.Gambits["Ranged Mighty Blow"] = {4,2,3,4}
  SDRPlugins.WardenEase2.Gambits["Ranged Offensive Strike"] = {4,3}
  SDRPlugins.WardenEase2.Gambits["Ranged Onslaught"] = {4,2,4}
  SDRPlugins.WardenEase2.Gambits["Ranged Persevere"] = {2,4}
  SDRPlugins.WardenEase2.Gambits["Ranged Power Attack"] = {4,2,3}
  SDRPlugins.WardenEase2.Gambits["Ranged Reversal"] = {4,3,2}
  SDRPlugins.WardenEase2.Gambits["Ranged Safeguard"] = {2,4,2}
  SDRPlugins.WardenEase2.Gambits["Ranged The Dark Before Dawn"] = {4,2,4,3,4}
  SDRPlugins.WardenEase2.Gambits["Ranged Unerring Strike"] = {4,2,3,4,2}
  SDRPlugins.WardenEase2.Gambits["Ranged Wall of Steel"] = {4,2,4,2}
  SDRPlugins.WardenEase2.Gambits["Ranged Warden's Triumph"] = {4,3,2,4,3}
  SDRPlugins.WardenEase2.Gambits["Resolution"] = {3,1,2,3}
  SDRPlugins.WardenEase2.Gambits["Resounding Challenge"] = {3,2,3,1}
  SDRPlugins.WardenEase2.Gambits["Restoration"] = {2,1,2,1,2}
  SDRPlugins.WardenEase2.Gambits["Reversal"] = {1,3,2}
  SDRPlugins.WardenEase2.Gambits["Safeguard"] = {2,1,2}
  SDRPlugins.WardenEase2.Gambits["Shield Mastery"] = {2,1,3,2}
  SDRPlugins.WardenEase2.Gambits["Shield Tactics"] = {2,3,1,2}
  SDRPlugins.WardenEase2.Gambits["Spear of Virtue"] = {3,1,3,1}
  SDRPlugins.WardenEase2.Gambits["Surety of Death"] = {3,2,3,2}
  SDRPlugins.WardenEase2.Gambits["The Boot"] = {1,2}
  SDRPlugins.WardenEase2.Gambits["The Dark Before Dawn"] = {1,2,1,3,1}
  SDRPlugins.WardenEase2.Gambits["Unerring Strike"] = {1,2,3,1,2}
  SDRPlugins.WardenEase2.Gambits["Wall of Steel"] = {1,2,1,2}
  SDRPlugins.WardenEase2.Gambits["War-cry"] = {3,2}
  SDRPlugins.WardenEase2.Gambits["Warden's Triumph"] = {1,3,2,1,3}
  SDRPlugins.WardenEase2.Gambits["Deflection"] = {3,2,1}
  SDRPlugins.WardenEase2.Gambits["Ranged Deflection"] = {3,2,4}
  SDRPlugins.WardenEase2.Gambits["Spear of Fate"] = {3,1,3,1,3}
  SDRPlugins.WardenEase2.Gambits["Ranged Spear of Fate"] = {3,4,3,4,3}
  SDRPlugins.WardenEase2.Gambits["Cauterizing Steel"] = {1,2,1,2,1}
  SDRPlugins.WardenEase2.Gambits["Ranged Cauterizing Steel"] = {4,2,4,2,4}
  SDRPlugins.WardenEase2.Gambits["Unseen Strikes"] = {1,3,1,3,1}
  SDRPlugins.WardenEase2.Gambits["Ranged Unseen Strikes"] = {4,3,4,3,4}
  SDRPlugins.WardenEase2.Gambits["Readied Blade"] = {2,3,1}
  SDRPlugins.WardenEase2.Gambits["Ranged Readied Blade"] = {2,3,4}
  SDRPlugins.WardenEase2.Gambits["Shield Up"] = {2,1,3}
  SDRPlugins.WardenEase2.Gambits["Ranged Shield Up"] = {2,4,3}

  SDRPlugins.WardenEase2.getHelp = "Warden Ease 2 commands:\n    we2 show: Display the main WardenEase2 quickslots\n    we2 hide: Hides the main WardenEase2 quickslots\n    we2 toggle: toggles the visibility of the main WardenEase2 quickslots\n    we2 refresh: Will refresh the quickslots (you need to do this after training gambits and certain skills)\n    we2 [GambitName]: Sets the Gambit with the name \"GambitName\"; does not have to be the entire name or match capital/lowercase letters";
  SDRPlugins.WardenEase2.getShortHelp = "Shows or hides the main WardenEase2 quickslots.";
  SDRPlugins.WardenEase2.showDescriptions = "Show Descriptions";
  SDRPlugins.WardenEase2.hideDescriptions = "Hide Descriptions";
  SDRPlugins.WardenEase2.hideKeyOverlay = "Hide Key Overlay";
  SDRPlugins.WardenEase2.showKeyOverlay = "Show Key Overlay";
  SDRPlugins.WardenEase2.reverseWE2Window = "Reverse Main WE2 Window";
  SDRPlugins.WardenEase2.we2MainWindow = "WardenEase2 Main Window";
  SDRPlugins.WardenEase2.hideWholeBarErrorMessage = "If you wish to hide the whole bar, please use the bar hider on the main WE2 window!";
  SDRPlugins.WardenEase2.show = "Show ";
  SDRPlugins.WardenEase2.hide = "Hide ";
  SDRPlugins.WardenEase2.showAllHiddenGambits = "Show All Hidden Gambits";

SDRPlugins.WardenEase2.Spear = "Spear";
SDRPlugins.WardenEase2.Fist = "Fist";
SDRPlugins.WardenEase2.Shield = "Shield";
SDRPlugins.WardenEase2.Gambit = "Gambit";
SDRPlugins.WardenEase2.Recovery = "Recovery";
SDRPlugins.WardenEase2.QuickRecovery = "Quick Recovery";
SDRPlugins.WardenEase2.andWord = "and";
SDRPlugins.WardenEase2.FistWord = "Fist";
SDRPlugins.WardenEase2.SpearWord = "Spear";
SDRPlugins.WardenEase2.ShieldWord = "Shield";

SDRPlugins.WardenEase2["Spear and Spear"] = "Spear and Spear";
SDRPlugins.WardenEase2["Spear and Fist"] = "Spear and Fist";
SDRPlugins.WardenEase2["Spear and Shield"] = "Spear and Shield";
SDRPlugins.WardenEase2["Shield and Shield"] = "Shield and Shield";
SDRPlugins.WardenEase2["Shield and Spear"] = "Shield and Spear";
SDRPlugins.WardenEase2["Shield and Fist"] = "Shield and Fist";
SDRPlugins.WardenEase2["Fist and Fist"] = "Fist and Fist";
SDRPlugins.WardenEase2["Fist and Spear"] = "Fist and Spear";
SDRPlugins.WardenEase2["Fist and Shield"] = "Fist and Shield";
SDRPlugins.WardenEase2.SetSlotTo = "Set slot to ";

SDRPlugins.WardenEase2.hideFastBuilders = "Hide Fast Builder Skills";
SDRPlugins.WardenEase2.showFastBuilders = "Show Fast Builder Skills";
SDRPlugins.WardenEase2.hideRecoverySkills = "Hide Recovery Skills";
SDRPlugins.WardenEase2.showRecoverySkills = "Show Recovery Skills";
end